using System.Collections.Generic;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysRoleDataScopeService
    {
        Task DeleteRoleDataScopeListByOrgIdList(List<string> orgIdList);
        Task DeleteRoleDataScopeListByRoleId(string roleId);
        Task<List<string>> GetRoleDataScopeIdList(List<string> roleIdList);
        Task GrantDataScope(GrantRoleDataInput input);
    }
}